<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/10/2004 *
 * ===================                          Last change: 07/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_register.php                         *
 * -------------------------------------------------------------------- *
 * Short description : Setup for the registration form                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellungen fuer das Anmeldeformular           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Do we want to save changes?
if (isFormSent()) {
	// Begin counting
	$count = 0;

	// Update all entries
	foreach (postRequestElement('sel') as $id => $value) {
		// Update database
		SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_must_register` SET `field_required`='%s' WHERE `id`=%s AND `field_required` != '%s' LIMIT 1",
			array($value, bigintval($id), $value),__FILE__, __LINE__);

		// Get affected rows
		$count += SQL_AFFECTEDROWS();
	} // END - foreach

	// Output message for updated entries
	displayMessage('{%message,ADMIN_REGISTER_CHANGES_SAVED=' . $count . '%}');
} // END - if

// List all register values
$result = SQL_QUERY("SELECT `id`,`field_name`,`field_required` FROM `{?_MYSQL_PREFIX?}_must_register` ORDER BY `id` ASC", __FILE__, __LINE__);
$OUT = '';
while ($content = SQL_FETCHARRAY($result)) {
	// Get language string
	$content['field_name'] = '{--' . strtoupper($content['field_name']) . '--}';

	// Add more data
	$content['selection'] = addSelectionBox('yn', $content['field_required'], 'sel[' . $content['id'] . ']');

	// @TODO Move this HTML code into a template
	$OUT .= loadTemplate('admin_config_register_row', true, $content);
} // END - while

// Free memory
SQL_FREERESULT($result);

// Load template
loadTemplate('admin_config_register', false, $OUT);

// [EOF]
?>
